> ## Documentation Index
> Fetch the complete documentation index at: https://foreverbetter.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Sync wearable data

> Sync connected wearable observations through the configured wearable integration backend.



## OpenAPI

````yaml https://api.foreverbetter.xyz/openapi.json post /connections/wearables/sync
openapi: 3.1.0
info:
  title: ForeverBetter API
  version: 0.4.8
  description: >-
    ForeverBetter API and MCP-compatible service for genetics, biomarkers,
    wearables, lab locator handoffs, and dashboard specs.
servers:
  - url: https://api.foreverbetter.xyz
security:
  - bearerAuth: []
paths:
  /connections/wearables/sync:
    post:
      summary: Sync wearable data
      description: >-
        Sync connected wearable observations through the configured wearable
        integration backend.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - user_id
              additionalProperties: false
              properties:
                access_token:
                  type: string
                refresh_token:
                  type: string
                client_id:
                  type: string
                client_secret:
                  type: string
                user_id:
                  type: string
                  minLength: 1
                organization_id:
                  type: string
                  minLength: 1
                provider_user_id:
                  type: string
                external_user_id:
                  type: string
                api_base_url:
                  type: string
                types:
                  type: array
                  items:
                    type: string
                start:
                  type: string
                end:
                  type: string
                limit:
                  type: number
                  minimum: 1
                  maximum: 100
                async:
                  type: boolean
                scheduled_for:
                  type: string
      responses:
        '200':
          description: OK
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````